# Generated by Django 4.0.4 on 2022-05-02 03:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Clients',
            fields=[
                ('client_id', models.AutoField(primary_key=True, serialize=False)),
                ('client_name', models.CharField(max_length=50)),
                ('status', models.IntegerField()),
                ('date_added', models.DateTimeField()),
                ('date_updated', models.DateTimeField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Users',
            fields=[
                ('user_id', models.AutoField(primary_key=True, serialize=False)),
                ('username', models.CharField(max_length=50, unique=True)),
                ('password', models.CharField(max_length=50)),
                ('last_logged_in', models.DateTimeField(null=True)),
                ('access', models.IntegerField()),
                ('current_token', models.CharField(max_length=250)),
            ],
            options={
                'ordering': ['user_id'],
            },
        ),
        migrations.CreateModel(
            name='Logs',
            fields=[
                ('log_id', models.AutoField(primary_key=True, serialize=False)),
                ('logs', models.TextField()),
                ('date_added', models.DateTimeField()),
                ('uid', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='zeniarkdev.users')),
            ],
        ),
        migrations.CreateModel(
            name='Domains',
            fields=[
                ('domain_id', models.AutoField(primary_key=True, serialize=False)),
                ('domain_name', models.CharField(max_length=50)),
                ('domain_host', models.CharField(max_length=100)),
                ('usename', models.CharField(max_length=50)),
                ('password', models.TextField()),
                ('status', models.IntegerField()),
                ('date_added', models.DateTimeField()),
                ('date_updated', models.DateTimeField(null=True)),
                ('client_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='zeniarkdev.clients')),
            ],
        ),
        migrations.AddField(
            model_name='clients',
            name='added_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='zeniarkdev.users'),
        ),
    ]
